import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaNoAuthProbeStatus } from '@overflow/commons-typescript/model/meta';

export const metaNoAuthProbeStatusEntityAdapter = createEntityAdapter<MetaNoAuthProbeStatus, RPCClientError>();
export interface State extends EntityState<MetaNoAuthProbeStatus, RPCClientError> {
}
export const initialState: State = metaNoAuthProbeStatusEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaNoAuthProbeStatusEntityAdapter.getSelectors(selector),
  };
}
